package com.ssj.service.conch.teacher.library.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import com.ssj.service.conch.teacher.dto.LearningStateDto;
import com.ssj.service.conch.teacher.library.dto.SubjectHomeworkDto;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

import java.util.List;
import java.util.Map;

public class HomeworkDataSubmitRequest extends BaseRequest {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "type", value = "1:预览保存 2:提交保存")
    private int type;

    @NotBlank
    @ApiModelProperty(name = "vipId", value = "学生vipId")
    private String vipId;

    @NotBlank
    @ApiModelProperty(name = "pushId", value = "推送报告的id")
    private String pushId;

    @ApiModelProperty(name = "suggestion", value = "老师留言")
    private String suggestion;

    @ApiModelProperty(name = "learningState", value = "学习状态列表")
    private List<LearningStateDto> learningState;

    @ApiModelProperty(name = "subjectHomeworkList", value = "各科数据列表")
    private List<SubjectHomeworkDto> subjectHomeworkList;

    @ApiModelProperty(name = "voiceKeyList", value = "语音list")
    private List<Map<String,String>> voiceKeyList;

    public List<Map<String, String>> getVoiceKeyList() {
        return voiceKeyList;
    }

    public void setVoiceKeyList(List<Map<String, String>> voiceKeyList) {
        this.voiceKeyList = voiceKeyList;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public String getPushId() {
        return pushId;
    }

    public void setPushId(String pushId) {
        this.pushId = pushId;
    }

    public String getSuggestion() {
        return suggestion;
    }

    public void setSuggestion(String suggestion) {
        this.suggestion = suggestion;
    }

    public List<LearningStateDto> getLearningState() {
        return learningState;
    }

    public void setLearningState(List<LearningStateDto> learningState) {
        this.learningState = learningState;
    }

    public List<SubjectHomeworkDto> getSubjectHomeworkList() {
        return subjectHomeworkList;
    }

    public void setSubjectHomeworkList(List<SubjectHomeworkDto> subjectHomeworkList) {
        this.subjectHomeworkList = subjectHomeworkList;
    }
}
